/*
Ace Responsive Menu Plugin
Version: 1.0
Author: Samson Onna
E-mail: samson3d@gmail.com
Website: www.webthemez.com
----------------------------------------*/

/* Ace Responsive Menu
----------------------------------------*/
a {
    text-shadow: none;
    color: #0d638f;
}
ul {
    margin: 0px;
    padding: 0px;
}
.main-menu {
    list-style: none;
    margin: 0;
    padding: 0;
    /* border-bottom: 3px solid #FD5025; */
}
.main-menu li{
    list-style: none;

}
.main-menu li ul {
    display:none;
}
.main-menu > li {
    margin: 0;
    padding: 0;
      display: inline-block;
}
.main-menu li a {
        color:#c0c0c0;
}
.main-menu > li > a {
    display: block;
    position: relative;
    margin: 0;
    border: 0px;
    padding: 14px 20px 14px 12px;
    text-decoration: none;
    font-size: 15px;
    color:#fff;
    border-radius: 15px;
}
.main-menu li a i {
    padding-right: 5px;
}
.main-menu > li > a i {
    font-size: 16px;
    text-shadow: none;
    color:#ffffff!important
}
.main-menu li ul.sub-menu li a i {
    padding-right: 10px;
}

.main-menu li.menu-active > a {
    background: #fe8f00;
    color:#fff;
}
.main-menu > li > a{
  transition: box-shadow ease-in-out .3s, color ease-in-out .3s;
}
.main-menu > li.menu-active > a {
    box-shadow: inset 0 0 0 1px #fe8f00;
    color:#fe8f00;
    background-color: transparent;
}
.main-menu li .menu-active {
    position: relative;
}
.main-menu > li > a > .arrow:before {
    margin-left: 15px;
    display: inline;
    font-size: 16px;
    font-family: FontAwesome;
    height: auto;
    content: " \276F";
    font-weight: 300;
    text-shadow: none;
    width: 10px;
    display: inline-block;
	transform: rotate(90deg);
}

.main-menu > li > ul.sub-menu {
    display: none;
    list-style: none;
    clear: both;
    margin: 0;
    position: absolute;
    z-index: 999;
    border-radius: 15px;
        padding: 10px 0;
}
.main-menu li ul.sub-menu {
    background: #0f4c6e;
}
.main-menu li ul.sub-menu > li {
    min-width: 185px;
}
.main-menu li ul.sub-menu li a:not(.btn) {
    display: block;
    margin: 0px 0px;
    padding: 6px 20px 6px 15px;
    text-decoration: none;
    font-size: 13px;
    font-weight: normal;
    background: none;
}
.main-menu > li > ul.sub-menu > li {
    position: relative;
}
.main-menu > li > ul.sub-menu > li ul.sub-menu {
    position: absolute;
    left: 185px;
    top: 0px;
    display: none;
    list-style: none;
}
.main-menu > li > ul.sub-menu > li ul.sub-menu > li ul.sub-menu {
    position: absolute;
    left: 185px;
    top: 0px;
    display: none;
    list-style: none;
}
.main-menu > li > ul.sub-menu li > a > .arrow{
    float: right;
}
.main-menu > li > ul.sub-menu li > a > .arrow:before {
    font-size: 16px;
    font-family: FontAwesome;
    content: "\276F";
    font-weight: 300;
    text-shadow: none;
}

/* Menu Toggle Btn
----------------------------------------*/
.menu-toggle {
    display: none;
    position: absolute;
    right: 0;
    z-index: 1;
}
.menu-toggle h3 {
    float: left;
    color: #FFF;
    padding: 0px 10px;
    font-weight: 600;
    font-size: 16px;
}
.menu-toggle .icon-bar {
    display: block !important;
    width: 18px;
    height: 2px;
    right: 0;
    top: 0;
    background-color: #fe8f00 !important;
    margin: 4px;
    margin-left: auto;
    margin-right: auto;
        position: relative;
        transition: all ease-in-out .3s;
}

.menu-toggle #menu-btn {
  background: none;
  border: none;
  padding: 8px;
  cursor: pointer;
  width: 55px;
  height: 55px;
  position: relative;
}
.hide-menu {
    display: none;
}


/* Accordion Menu Styles
----------------------------------------*/

ul[data-menu-style="accordion"] {
    width: 250px;
}
ul[data-menu-style="accordion"] > li {
    display: block;
    margin: 0;
    padding: 0;
    border: 0px;
    float: none !important;
}
ul[data-menu-style="accordion"] > li:first-child {
    border-top: 2px solid #FD5025;
}
ul[data-menu-style="accordion"] li ul.sub-menu > li {
    width: 100%;
}
ul[data-menu-style="accordion"] > li > a > .arrow:before {
    float: right;
    content: "\f105";
}
ul[data-menu-style="accordion"] li.menu-active > a > .arrow:before {
    content: "\f107" !important;
}
ul[data-menu-style="accordion"] > li > ul.sub-menu {
    position: static;
}
ul[data-menu-style="accordion"] > li > a i {
    padding-right: 10px;
    color: #FF5737;
}
ul[data-menu-style="accordion"] > li > ul.sub-menu > li ul.sub-menu {
    position: static;
}
ul[data-menu-style="accordion"] > li > ul.sub-menu > li ul.sub-menu > li ul.sub-menu {
    position: static;
}
ul[data-menu-style="accordion"] > li {
    border-bottom: 1px solid #242424;
}
ul[data-menu-style="accordion"] li a:hover {
    background: #272727 !important;
}
ul[data-menu-style="accordion"] ul.sub-menu li.menu-active > a > .arrow:before {
    content: "\f107" !important;
}

/* Vertical Menu Styles
----------------------------------------*/

ul[data-menu-style="vertical"] {
    width: 200px;
}
ul[data-menu-style="vertical"] > li {
    float: none;
}
ul[data-menu-style="vertical"] > li:first-child {
    border-top: 2px solid #FD5025;
}
ul[data-menu-style="vertical"] li ul.sub-menu > li {
    width: 100%;
}
ul[data-menu-style="vertical"] > li > a > .arrow:before {
    float: right;
    content: "\f105";
}
ul[data-menu-style="vertical"] > li.menu-active {
position:relative;
}
ul[data-menu-style="vertical"] > li > ul.sub-menu {
    position: absolute;
    left:200px;
    top:0px;
    width:200px;
}
ul[data-menu-style="vertical"] > li > a i {
    padding-right: 10px;
    color: #FF5737;
}
ul[data-menu-style="vertical"]> li > ul.sub-menu > li ul.sub-menu {
    position: absolute;
    width:200px;
    left: 200px;
}
ul[data-menu-style="vertical"] > li > ul.sub-menu > li ul.sub-menu > li ul.sub-menu {
    position: absolute;
    width:200px;
    left: 200px;
}
ul[data-menu-style="vertical"] > li {
    border-bottom: 1px solid #242424;
}
ul[data-menu-style="vertical"] li a:hover {
    background: #272727 !important;
}

/* Responsive Menu Styles
----------------------------------------*/
/*Note: change the max-width asper your requirment and change the same in aceResponsiveMenu({resizeWidth: "768" }) function*/

@media screen and (max-width: 992px) {
    .demo {
		width:96%;
		padding:2%;
    }
    ul[data-menu-style="vertical"] , ul[data-menu-style="accordion"],
    ul[data-menu-style="vertical"] li ul.sub-menu {
        width: 100% !important;
    }
    .main-menu {
        width: 100%;
        max-height: 350px;
        overflow-y: auto;
    }
    .main-menu > li {
        border-bottom: 1px solid #f5f5f5;
       float: none;
       display: block;
    }
    
    .main-menu > li > a {
        padding: 12px;
        color:#4f4f4f;
    }

    .main-menu > li:last-child{
        border-bottom: none;
    }
    .main-menu > li > a i {
        padding-right: 10px;
        width: 30px;
        text-align: center;
    }
    .main-menu > li a .arrow{
        position: absolute;
        right: 0;
        width: 40px;
        height: 40px;

    }
    .main-menu > li > a > .arrow:before {
         content: " \276F";
		font-weight: 300;
		text-shadow: none;
		width: 10px;
		display: inline-block;
		transform: rotate(90deg);
    }
    li.menu-active > a > .arrow:before {
    content: " \276F";
    font-weight: 300;
    text-shadow: none;
    width: 10px;
    display: inline-block;
	transform: rotate(90deg);
    }
    .main-menu li ul.sub-menu > li {
        width: 100%;
    }
    .main-menu li ul.sub-menu li ul.sub-menu li a
        {
        padding-left: 30px;
    }
    .main-menu li ul.sub-menu li ul.sub-menu li ul.sub-menu li a
       {
        padding-left: 50px;
    }
    .main-menu > li > ul.sub-menu {
        position: static;
        padding: 15px;
    }
    .main-menu > li > ul.sub-menu > li ul.sub-menu {
        position: static;
    }
    .main-menu > li > ul.sub-menu > li ul.sub-menu > li ul.sub-menu {
        position: static;
    }


}
